Interface Technology Basics VST 3.7 SDK for developing VST plug-in

Loading...
Searching...
No Matches
Public Member Functions | List of all members
RefCounted Struct Reference

This struct implements reference counting for the `U::Implements` template. More...

`#include <funknownimpl.h>`

## Public Member Functions
| RefCounted ()=default
| RefCounted (const RefCounted &)
| RefCounted (RefCounted &&other) SMTG_NOEXCEPT
virtual | ~RefCounted ()=default
RefCounted & | operator= (const RefCounted &)
RefCounted & | operator= (RefCounted &&other) SMTG_NOEXCEPT
uint32 | addRef ()
uint32 | release ()

## Detailed Description

This struct implements reference counting for the `U::Implements` template.

It also provides a `queryInterface` method stub to support `queryInterface` call made in the `U::Implements` template.

## Constructor & Destructor Documentation

## ◆ RefCounted() [1/3]

RefCounted | ( |  | ) |
| default

## ◆ RefCounted() [2/3]

RefCounted | ( | const RefCounted & |  | ) |
| inline

## ◆ RefCounted() [3/3]

RefCounted | ( | RefCounted && | other | ) |
| inline

## ◆ ~RefCounted()

virtual ~RefCounted | ( |  | ) |
| virtual default

## Member Function Documentation

## ◆ operator=() [1/2]

RefCounted & operator= | ( | const RefCounted & |  | ) |
| inline

## ◆ operator=() [2/2]

RefCounted & operator= | ( | RefCounted && | other | ) |
| inline

## ◆ addRef()

uint32 addRef | ( |  | ) |
| inline

## ◆ release()

uint32 release | ( |  | ) |
| inline

Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.